function random_color() {
    var letters = '0123456789ABCDEF'.split('');
    var color = '#';
    for (var i = 0; i < 6; i++ ) {
        color += letters[Math.round(Math.random() * 15)];
    }
    return color;
}

window.onload = function() {
	var oCanvas = document.getElementById("thecanvas");
	var oCtx = oCanvas.getContext("2d");
    var clr = random_color();
    $(".colors").miniColors('value',clr);
    oCtx.fillStyle = clr;
    oCtx.fillRect (0, 0, 250, 205);
    var cat = new Image();
    cat.src = "img/problem.png";
    oCtx.drawImage(cat, 0, 0);

    var iWidth = oCanvas.width;
	var iHeight = oCanvas.height;

	function showDownloadText() {
		document.getElementById("buttoncontainer").style.display = "none";
		document.getElementById("textdownload").style.display = "block";
	}

	function hideDownloadText() {
		document.getElementById("buttoncontainer").style.display = "block";
		document.getElementById("textdownload").style.display = "none";
	}

	function convertCanvas(strType) {
        var oImg = Canvas2Image.saveAsJPEG(oCanvas, true);

		if (!oImg) {
			alert("Sorry, this browser is not capable of saving " + strType + " files!");
			return false;
		}


		oImg.id = "canvasimage";

        oCanvas.parentNode.replaceChild(oImg, oCanvas);

		showDownloadText();
	}

    document.getElementById("convertjpegbtn").onclick = function() {
		convertCanvas("JPEG");
	}

	document.getElementById("resetbtn").onclick = function() {
		var oImg = document.getElementById("canvasimage");
		oImg.parentNode.replaceChild(oCanvas, oImg);

		hideDownloadText();
	}

}







$(document).ready( function() {
        $(".colors").miniColors({
            change: function(hex, rgb) {
                var ctx = document.getElementById('thecanvas').getContext('2d');
                ctx.fillStyle = hex;
                ctx.fillRect (0, 0, 250, 205);
                var cat = new Image();
                cat.src = "img/problem.png";
                ctx.drawImage(cat, 0, 0);
            }

    })


    $('.addface').click(function(){
        var clr = random_color();
        $('.b-face__list').append('<div class="b-face__item"><img src="img/problem.png" class="b-face__pic" style="background: '+clr+'" /><input type="text" class="colors" size="7" value='+clr+' /></div>');
        $(".colors").miniColors({
            change: function(hex, rgb) {
                $(this).parent().find('.b-face__pic').css("background", hex);
            }
        });
    });
});